Debian Bug report logs - #89038
[mime-policy] Include update-mime behavior

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Frank Belew <frb@sifaka.helixcode.com>

Date: Fri, 9 Mar 2001 15:09:43 UTC

Owned by: Ben Finney <ben+debian@benfinney.id.au>

Severity: wishlist

Fixed in version debian-policy/3.9.3.0

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brian White <bcwhite@pobox.com>:
Bug#89038; Package mime-support. Full text and rfc822 format available.

Acknowledgement sent to Frank Belew <frb@sifaka.helixcode.com>:
New Bug report received and forwarded. Copy sent to Brian White <bcwhite@pobox.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frank Belew <frb@sifaka.helixcode.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: the informatoion in the manpage should be in policy
Date: Fri, 09 Mar 2001 10:07:06 -0500
Package: mime-support
Version: 3.10-1
Severity: normal

The information in the update-mime manpage really should be put in 
mime-policy. Right now mime-policy is all but useless. 

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux sifaka 2.4.0-ac9 #2 Fri Jan 19 03:52:16 EST 2001 i686




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#89038; Package mime-support. Full text and rfc822 format available.

Acknowledgement sent to Brian White <bcwhite@pobox.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 89038@bugs.debian.org (full text, mbox):

From: Brian White <bcwhite@pobox.com>
To: Frank Belew <frb@sifaka.helixcode.com>, 89038@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#89038: the informatoion in the manpage should be in policy
Date: Sun, 11 Mar 2001 09:39:50 -0500
reassign 89038 mime-policy
--

> Package: mime-support
> Version: 3.10-1
> Severity: normal
> 
> The information in the update-mime manpage really should be put in
> mime-policy. Right now mime-policy is all but useless.

I suppose that if the "mime-policy" package wants to include a copy of
my manpage they are free to do so (it is public domain, after all :-).

If I don't keep it in my package, though, I'll violate another policy
about all executables having a man page.  Besides, people are much
more likely to install "mime-support" than "mime-policy" simply because
of the other packages that depend upon it.

                                          Brian
                                  ( bcwhite@pobox.com )

-------------------------------------------------------------------------------
 The squeaky wheel doesn't always get the grease.  Sometimes it gets replaced.



Bug reassigned from package `mime-support' to `mime-policy'. Request was from Brian White <bcwhite@pobox.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `mime-policy' to `debian-policy'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#89038; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <J.D.Gilbey@qmw.ac.uk>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #19 received at 89038@bugs.debian.org (full text, mbox):

From: Julian Gilbey <J.D.Gilbey@qmw.ac.uk>
To: 89038@bugs.debian.org
Cc: Frank Belew <frb@sifaka.helixcode.com>, Brian White <bcwhite@pobox.com>
Subject: Bug#89038: the informatoion in the manpage should be in policy
Date: Thu, 12 Apr 2001 23:13:13 +0100
> The information in the update-mime manpage really should be put in 
> mime-policy. Right now mime-policy is all but useless.

You may be right.  It's now become a standard interface which should
not be changed at a whim.  I don't think the policy is useless: it has
an important role, but some more of the details of how update-mime
works could be fixed in policy.

   Julian

-- 
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

         Julian Gilbey, Dept of Maths, Queen Mary, Univ. of London
       Debian GNU/Linux Developer,  see http://people.debian.org/~jdg
  Donate free food to the world's hungry: see http://www.thehungersite.com/



Changed Bug title. Request was from Julian Gilbey <J.D.Gilbey@qmw.ac.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Julian Gilbey <J.D.Gilbey@qmw.ac.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from Manoj Srivastava <srivasta@golden-gryphon.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title to `[mime-policy] Include update-mime behavior' from `[PROPOSAL] The information in the update-mime manpage should be in policy'. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 17 Mar 2008 05:24:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#89038; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #34 received at 89038@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: 89038@bugs.debian.org
Subject: mime policy copying update-mime(8)
Date: Thu, 5 Jun 2008 18:58:00 +0000
Is it sufficient and desirable to lift the file format description
from update-mime(8) and place it into mime-policy.sgml?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#89038; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #39 received at 89038@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 89038@bugs.debian.org
Subject: Re: Bug#89038: mime policy copying update-mime(8)
Date: Fri, 06 Jun 2008 10:47:11 -0700
Clint Adams <schizo@debian.org> writes:

> Is it sufficient and desirable to lift the file format description
> from update-mime(8) and place it into mime-policy.sgml?

If we're going to keep mime-policy, that sounds like the right solution to
me.  We should at least consider merging the small amount of information
in mime-policy back into Policy 9.7 and continuing to just defer to
update-mime(8) for the file format, though.

Any opinions on which would be the better direction to take?  I agree with
the original bug reporter that mime-policy as it stands right now should
be merged into Policy and cease to exist as an independent document unless
we're going to add more detailed information to it.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Owner recorded as Ben Finney <ben+debian@benfinney.id.au>. Request was from Ben Finney <ben+debian@benfinney.id.au> to control@bugs.debian.org. (Wed, 25 Aug 2010 04:03:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#89038; Package debian-policy. (Wed, 25 Aug 2010 04:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Finney <ben+debian@benfinney.id.au>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 25 Aug 2010 04:48:07 GMT) Full text and rfc822 format available.

Message #46 received at 89038@bugs.debian.org (full text, mbox):

From: Ben Finney <ben+debian@benfinney.id.au>
To: 89038@bugs.debian.org
Subject: Re: Bug#89038: mime policy copying update-mime(8)
Date: Wed, 25 Aug 2010 14:41:46 +1000
[Message part 1 (text/plain, inline)]
package debian-policy
tags 89038 + patch
thanks

On Fri, Jun 06, 2008 at 10:47:11AM -0700, Russ Allbery wrote:
> I agree with the original bug reporter that mime-policy as it stands
> right now should be merged into Policy and cease to exist as an
> independent document unless we're going to add more detailed
> information to it.

Attached is a patch that simply incorporates the useful content from
‘mime-policy’ into the main ‘policy’ document, and removes the
redundant document.
[policy.bug-89038.r311.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, Ben Finney <ben+debian@benfinney.id.au>:
Bug#89038; Package debian-policy. (Fri, 27 Aug 2010 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, Ben Finney <ben+debian@benfinney.id.au>. (Fri, 27 Aug 2010 18:21:03 GMT) Full text and rfc822 format available.

Message #51 received at 89038@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Ben Finney <ben+debian@benfinney.id.au>
Cc: 89038@bugs.debian.org
Subject: Re: Bug#89038: mime policy copying update-mime(8)
Date: Fri, 27 Aug 2010 11:16:55 -0700
Ben Finney <ben+debian@benfinney.id.au> writes:
> On Fri, Jun 06, 2008 at 10:47:11AM -0700, Russ Allbery wrote:

>> I agree with the original bug reporter that mime-policy as it stands
>> right now should be merged into Policy and cease to exist as an
>> independent document unless we're going to add more detailed
>> information to it.

> Attached is a patch that simply incorporates the useful content from
> ‘mime-policy’ into the main ‘policy’ document, and removes the
> redundant document.

Seconded.

Note, for others following this bug, that this patch just moves the
existing information and doesn't include the information from
update-mime(8) into Policy, which means that one still has to read that
man page to find out the formatting of the entry in the
/usr/lib/mime/packages directory.  (Which should really be /usr/share, but
that's another problem, since /usr/share/mime/packages is apparently being
used by something else.)  If people believe more of the information from
update-mime(8) should be included in Policy, now's the time to speak
up....

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Added tag(s) patch. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Fri, 27 Aug 2010 18:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, Ben Finney <ben+debian@benfinney.id.au>:
Bug#89038; Package debian-policy. (Mon, 04 Apr 2011 03:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, Ben Finney <ben+debian@benfinney.id.au>. (Mon, 04 Apr 2011 03:57:03 GMT) Full text and rfc822 format available.

Message #58 received at 89038@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 89038@bugs.debian.org
Cc: Ben Finney <ben+debian@benfinney.id.au>
Subject: Re: Bug#89038: mime policy copying update-mime(8)
Date: Sun, 03 Apr 2011 20:44:06 -0700
The bug:

    http://bugs.debian.org/89038

is still looking for two more seconds.  This would allow us to retire the
tiny separate mime-policy document.  Could other folks take a look and
confirm that all looks well?

We separately should really include more documentation of this subsystem,
but that can be handled separately and we seem to have gone many years
without noticing a serious lack.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, Ben Finney <ben+debian@benfinney.id.au>:
Bug#89038; Package debian-policy. (Mon, 04 Apr 2011 06:54:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, Ben Finney <ben+debian@benfinney.id.au>. (Mon, 04 Apr 2011 06:54:10 GMT) Full text and rfc822 format available.

Message #63 received at 89038@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Russ Allbery <rra@debian.org>, 89038@bugs.debian.org
Cc: Ben Finney <ben+debian@benfinney.id.au>
Subject: Re: Bug#89038: mime policy copying update-mime(8)
Date: Mon, 4 Apr 2011 08:42:32 +0200
On Sun, 03 Apr 2011, Russ Allbery wrote:
> The bug:
> 
>     http://bugs.debian.org/89038
> 
> is still looking for two more seconds.  This would allow us to retire the
> tiny separate mime-policy document.  Could other folks take a look and
> confirm that all looks well?

Seconded. It's fine for me.

(Note that I pinged the mime-support maintainer which looks like MIA since
he has not yet switched to using triggers support while Emilio Pozuelo
submitted a patch some time ago. If that gets merged, the policy will have
to be updated again.)

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, Ben Finney <ben+debian@benfinney.id.au>:
Bug#89038; Package debian-policy. (Mon, 04 Apr 2011 08:21:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to andrew@morphoss.com:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, Ben Finney <ben+debian@benfinney.id.au>. (Mon, 04 Apr 2011 08:21:29 GMT) Full text and rfc822 format available.

Message #68 received at 89038@bugs.debian.org (full text, mbox):

From: Andrew McMillan <andrew@morphoss.com>
To: Russ Allbery <rra@debian.org>, 89038@bugs.debian.org
Subject: Re: Bug#89038: mime policy copying update-mime(8)
Date: Mon, 04 Apr 2011 20:06:28 +1200
[Message part 1 (text/plain, inline)]
On Sun, 2011-04-03 at 20:44 -0700, Russ Allbery wrote:
> The bug:
> 
>     http://bugs.debian.org/89038
> 
> is still looking for two more seconds.  This would allow us to retire the
> tiny separate mime-policy document.  Could other folks take a look and
> confirm that all looks well?
> 
> We separately should really include more documentation of this subsystem,
> but that can be handled separately and we seem to have gone many years
> without noticing a serious lack.

Seconded.

Cheers,
					Andrew.

-- 
------------------------------------------------------------------------
andrew (AT) morphoss (DOT) com                            +64(272)DEBIAN
                     Some optional equipment shown.
------------------------------------------------------------------------

[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending; removed tag(s) patch. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 26 Dec 2011 18:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, Ben Finney <ben+debian@benfinney.id.au>:
Bug#89038; Package debian-policy. (Mon, 26 Dec 2011 18:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, Ben Finney <ben+debian@benfinney.id.au>. (Mon, 26 Dec 2011 18:51:05 GMT) Full text and rfc822 format available.

Message #75 received at 89038@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 89038@bugs.debian.org
Cc: Ben Finney <ben+debian@benfinney.id.au>
Subject: Re: Bug#89038: mime policy copying update-mime(8)
Date: Mon, 26 Dec 2011 10:46:11 -0800
Russ Allbery <rra@debian.org> writes:
> Ben Finney <ben+debian@benfinney.id.au> writes:
>> On Fri, Jun 06, 2008 at 10:47:11AM -0700, Russ Allbery wrote:

>>> I agree with the original bug reporter that mime-policy as it stands
>>> right now should be merged into Policy and cease to exist as an
>>> independent document unless we're going to add more detailed
>>> information to it.

>> Attached is a patch that simply incorporates the useful content from
>> ‘mime-policy’ into the main ‘policy’ document, and removes the
>> redundant document.

> Seconded.

And this patch has now been applied.  Sorry about the long delay!

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, Ben Finney <ben+debian@benfinney.id.au>:
Bug#89038; Package debian-policy. (Tue, 27 Dec 2011 02:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, Ben Finney <ben+debian@benfinney.id.au>. (Tue, 27 Dec 2011 02:57:03 GMT) Full text and rfc822 format available.

Message #80 received at 89038@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: The Debian Web site <debian-www@lists.debian.org>, 89038@bugs.debian.org
Subject: Re: Bug#89038: mime policy copying update-mime(8)
Date: Mon, 26 Dec 2011 22:55:32 -0400
[Message part 1 (text/plain, inline)]
Le 26/12/2011 14:46, Russ Allbery a écrit :
>> Ben Finney <ben+debian@benfinney.id.au> writes:

>>> Attached is a patch that simply incorporates the useful content from
>>> ‘mime-policy’ into the main ‘policy’ document, and removes the
>>> redundant document.

> And this patch has now been applied.  Sorry about the long delay!

I just removed the shipping of these documents [1] in the website since
they won't be updated anymore, and the attached patch (the short one
just focuses on the English version, the long one also takes care of
translations) will drop the internal links to this obsolete policy (it
shouldn't be applied until the debian-policy 3.9.3 gets out, of course).

Without any action, this obsolete policy will stay where it is [1]. Is
it OK to let it rot there [1], or should we ask the DSA to deploy a
redirection to the Policy [2] or somewhere else more accurate?

  1: http://www.debian.org/doc/packaging-manuals/mime-policy/
  2: http://www.debian.org/doc/debian-policy/ch-opersys.html#s-mime

Regards

David
[mime-policy-removal_short.diff (text/x-diff, attachment)]
[mime-policy-removal_long.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>, Ben Finney <ben+debian@benfinney.id.au>:
Bug#89038; Package debian-policy. (Tue, 27 Dec 2011 03:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>, Ben Finney <ben+debian@benfinney.id.au>. (Tue, 27 Dec 2011 03:03:07 GMT) Full text and rfc822 format available.

Message #85 received at 89038@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: David Prévot <taffit@debian.org>
Cc: 89038@bugs.debian.org, The Debian Web site <debian-www@lists.debian.org>
Subject: Re: Bug#89038: mime policy copying update-mime(8)
Date: Mon, 26 Dec 2011 19:00:08 -0800
David Prévot <taffit@debian.org> writes:

> I just removed the shipping of these documents [1] in the website since
> they won't be updated anymore, and the attached patch (the short one
> just focuses on the English version, the long one also takes care of
> translations) will drop the internal links to this obsolete policy (it
> shouldn't be applied until the debian-policy 3.9.3 gets out, of course).

Thanks!  I had it on my mental list to contact you and let you know about
this, and really appreciate you watching out for it and taking care of it
in advance!

> Without any action, this obsolete policy will stay where it is [1]. Is
> it OK to let it rot there [1], or should we ask the DSA to deploy a
> redirection to the Policy [2] or somewhere else more accurate?

>   1: http://www.debian.org/doc/packaging-manuals/mime-policy/
>   2: http://www.debian.org/doc/debian-policy/ch-opersys.html#s-mime

I think adding a redirect to the relevant section of Policy as you show in
[2] is a great idea.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Thu, 23 Feb 2012 04:07:19 GMT) Full text and rfc822 format available.

Notification sent to Frank Belew <frb@sifaka.helixcode.com>:
Bug acknowledged by developer. (Thu, 23 Feb 2012 04:07:19 GMT) Full text and rfc822 format available.

Message #90 received at 89038-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 89038-close@bugs.debian.org
Subject: Bug#89038: fixed in debian-policy 3.9.3.0
Date: Thu, 23 Feb 2012 04:02:13 +0000
Source: debian-policy
Source-Version: 3.9.3.0

We believe that the bug you reported is fixed in the latest version of
debian-policy, which is due to be installed in the Debian FTP archive:

debian-policy_3.9.3.0.dsc
  to main/d/debian-policy/debian-policy_3.9.3.0.dsc
debian-policy_3.9.3.0.tar.gz
  to main/d/debian-policy/debian-policy_3.9.3.0.tar.gz
debian-policy_3.9.3.0_all.deb
  to main/d/debian-policy/debian-policy_3.9.3.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 89038@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated debian-policy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 22 Feb 2012 19:40:36 -0800
Source: debian-policy
Binary: debian-policy
Architecture: source all
Version: 3.9.3.0
Distribution: unstable
Urgency: low
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 debian-policy - Debian Policy Manual and related documents
Closes: 23712 89038 498300 532120 578421 593533 609162 617315 617516 619275 620870 621479 623050 626338 626408 626779 626796 627490 628540 633797 637614 640735 640737 641071 643690 644230 646119 646166 648387 649674 651020 658209
Changes: 
 debian-policy (3.9.3.0) unstable; urgency=low
 .
   [ Russ Allbery ]
   * Update the copyright format document to the version of DEP-5 from the
     DEP web site and apply additional changes from subsequent discussion
     in debian-devel and debian-project.  Revise for clarity, to add more
     examples, and to update the GFDL license versions.  Thanks, Steve
     Langasek, Charles Plessy, Justin B Rye, and Jonathan Nieder.
     (Closes: #658209, #648387)
   * Publish the copyright format specification as copyright-format-1.0 so
     that later versions can be added without removing previous versions of
     the standard.  Patch from Charles Plessy.  (Closes: #646119)
   * Policy: Improve Architecture field in source package
     Wording: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #626779
   * Policy: Initial Debian maintainers need not be listed in copyright
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Closes: #593533
   * Policy: Document cron job file naming restrictions
     Wording: Karl E. Jorgensen <karl@jorgensen.org.uk>
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Dominic Hargreaves <dom@earth.li>
     Seconded: Javier Fernández-Sanguino Peña <jfs@computer.org>
     Closes: #609162
   * Policy: Document issues with conflicting packages sharing a conffile
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Cyril Brulebois <kibi@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #23712
   * Policy: Add /run FHS exception, clarify rules for /run and /var/run
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Steve Langasek <vorlon@debian.org>
     Seconded: Roger Leigh <rleigh@codelibre.net>
     Closes: #620870, #532120
   * Policy: Architecture restrictions in a dependency must be non-empty
     Wording: Stefano Zacchiroli <zack@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Seconded: Colin Watson <cjwatson@debian.org>
     Closes: #498300
   * MIME Policy: Retire this document and merge it with Policy
     Wording: Ben Finney <ben+debian@benfinney.id.au>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Closes: #89038
   * Consistently use "Debian source control file" for *.dsc files and
     "Source package control file" for debian/control files.  Patch from
     Charles Plessy.  (Closes: #626796)
   * Clarify that continuation lines of the Description control field must
     contain at least one non-whitespace character.  Thanks, Guillem Jover.
     (Closes: #627490)
   * Fix the example of creating a /usr/local subdirectory to not fail if
     the chown or chmod fail.  Thanks, Joey Hess.  (Closes: #617315)
   * Clarify the requirements for symlinks from inside one top-level
     directory to another and add examples and a rationale.  Thanks,
     Carsten Hey.  (Closes: #626338)
   * Clarify that Perl Policy 2.4 is for packages built from the perl
     source package and the manual page extensions are different for
     separate module packages.  Thanks, Steve Langasek.  (Closes: #643690)
   * Say that packages in main may also not recommend packages in non-free,
     bringing the main text in line with the list of fields and in line
     with the long-standing release goal.  (Closes: #646166)
   * Resynchronize the archive section list with ftp-master, adding
     education, introspection, and metapackages.  Patch from Charles
     Plessy.  (Closes: #651020)
   * Clarify that packages in main may not declare Pre-Depends or
     Build-Depends-Indep relationships outside of main either.  Partly
     addresses #587279.
   * Fix typo in the version numbers in the dpkg-divert examples.  Thanks,
     Slavko.
   * Add the release date of 3.9.2.0 to upgrading-checklist.
   * Fix ordering of the last entries in the 3.9.2.0 upgrading-checklist.
   * Fix typo in upgrading-checklist entry for multiarch paths.  Thanks,
     Michael Dorrington.  (Closes: #626408)
   * Add id tags for each version entry in upgrading-checklist so that,
     when eventually published somewhere, other Debian web sites can link
     to specific entries.  Patch from Charles Plessy.
   * Add AGPL-3 to tools/license-count.
   * Update tools/license-count to work with the new Lintian lab layout.
   * Add build-arch and build-indep targets to debian/rules.
 .
   [ Bill Allombert ]
   * Policy: Link relationship fields (7.1) to architecture specification
     strings (11.1).
     Patch from Charles Plessy in #628174.
   * Policy: Retire legacy Motif policy (11.8.8)
     Proposed by: Justin B Rye
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Seconded: Steve Langasek <vorlon@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Closes: #621479
   * copyright-format: Fix URL for the Eiffel Forum License.
     Reported by Thomas Preud'homme, patch by Charles Plessy.
     Closes: #623050
   * copyright-format: Update SPDX link to point to the SPDX license registry.
     Patch by Charles Plessy.  Closes: #628540
   * copyright-format: Correct or add links to SPDX.
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Gregor Herrmann <gregoa@debian.org>
     Closes: #641071
   * Policy: Clarify that 'machine-extractable' referer the copyright
     files (12.5)
     Wording:  Charles Plessy <plessy@debian.org>
     Seconded: Bill Allombert <ballombe@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Closes: #617516
   * copyright-format: remove drivers from abstract and useless appendix
     Wording: Lars Wirzenius <liw@liw.fi>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Closes: #640735
   * copyright-format: Fix syntax of examples.
     Proposed by: Charles Plessy <plessy@debian.org>
     Wording: Jonathan Nieder <jrnieder@gmail.com>
     Closes: #649674
   * copyright-format: Clarify specification of multiple license exception:
     Wording: Steve Langasek <vorlon@debian.org>
     Seconded: Craig Small <csmall@debian.org>
     Seconded: Gregor Herrmann <gregoa@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Seconded: Jonas Smedegaard <dr@jones.dk>
     Closes: #633797
   * copyright-format: Specify URL on www.debian.org
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: David Prévot <taffit@debian.org>
     Seconded: Gregor Herrmann <gregoa@debian.org>
     Closes: #640737
   * Perl policy: Document major version upgrade trigger
     Wording: Dominic Hargreaves <dom@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Niko Tyni <ntyni@debian.org>
     Seconded: Gregor Herrmann <gregoa@debian.org>
     Closes: #619275
   * Virtual: change ttf-japanese-{mincho, gothic} to
     fonts-japanese-{mincho, gothic}.
     Proposed by: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Bill Allombert <ballombe@debian.org>
     Closes: #644230
   * Virtual: Retire java-compiler, java2-compiler, and java-virtual-machine.
     Proposed by: Niels Thykier <niels@thykier.net>
     Seconded: tony mancill <tmancill@debian.org>
     Seconded: Bill Allombert <ballombe@debian.org>
     Closes: #578421
   * Policy 9.10: No more recommend to call install-docs for doc-base.
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Robert Luberda <robert@debian.org>
     Seconded: Raphael Hertzog <hertzog@debian.org>
     Closes: #637614
Checksums-Sha1: 
 f09d426468f56b6049b9125da20653929839ab3d 1518 debian-policy_3.9.3.0.dsc
 ccf8018f8d0bd2e362c9af50622ddd003ea52ac7 692844 debian-policy_3.9.3.0.tar.gz
 ee6c63e2c39db3cb1478ebe4115fc856a455d92b 1926768 debian-policy_3.9.3.0_all.deb
Checksums-Sha256: 
 5466d21ba0c6ede59969da1092d140eb0039e2d0fcc73911db2fcf41d193a80a 1518 debian-policy_3.9.3.0.dsc
 3d04d02064329136765d0e5926aca956d9d55ca171ad12efcbb890cffaad4a73 692844 debian-policy_3.9.3.0.tar.gz
 e456bf496aeb792c90cbbf7a8192c8cb13e5421252779d5f9cb6114a47321c3e 1926768 debian-policy_3.9.3.0_all.deb
Files: 
 d2c6604b9c75c57536ac42b04abb3eba 1518 doc optional debian-policy_3.9.3.0.dsc
 01d3630a3393d484ad765d53aca0f0fc 692844 doc optional debian-policy_3.9.3.0.tar.gz
 88e00d9c8508884a9403ae403332325a 1926768 doc optional debian-policy_3.9.3.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBCAAGBQJPRbldAAoJEH2AMVxXNt51FqYH/222GABCa953WNu1SRxP7s7k
HttTjAFekZkxGz+EfjujDteiJg3j6ep0ebOSQXSDm2EoTJY4RtpzmSigTqw0wGC4
+uv4StQTZTK/SJD8BYq3gkrxTy2YvzmVnfh1JIr8xLy3+l7jK7zykIDlg2nwUann
rUk5mY5x0Us8XK7U6TEjyudhPqppinARoolS+bSLBlkpGokOqXILRN2V6S5q1sAN
5I0YfL3coD/b2CEpJnieSMQagsO8H0Vn0n2RgT4T8L2fXuKo2dKCWfFAv3XlwPb0
RwmIz/pl8kqsdf+fJnUGXGqxfpy+TdUAdTlPIYQTaM5dn5E1i3oH8r2hOkEHQYU=
=AEmv
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Apr 2012 07:41:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:10:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.